_id: 52078d31-4137-4b2a-a26b-5e0cba356d77
replyThread: ''
comment: |
  Super article :-)


  Pour la saisie sous Linux, une approche pas tout à fait universelle mais presque est de passer par xmodmap (déprécié) ou xkb (recommandé).


  Pour peu que tu utilises Xorg, cela fonctionnera dans tous les logiciels et tous les gestionnaires de bureau, gestionnaires de fenêtres, etc.


  Si tu utilises Wayland plutôt que Xorg, j'ai cru comprendre que xkb fonctionnait aussi, mais ce n'est pas une certitude de ma part.


  Si tu n'utilises pas de serveur graphique mais uniquement la console, il faudra passer par loadkeys. Les émulateurs de terminaux graphiques comme xterm, konsole, gnome-terminal et autres tournent sous Xorg et ne requiert donc pas de jouer avec loadkeys ; xmodmap ou xkb font très bien le boulot.


  Je n'ai malheureusement pas encore trouvé de solution universelle qui couvre à la fois Xorg/Wayland et la console, mais le besoin de taper du français dans une console non graphique se fait rarement sentir.


  Les bonnes manières voudraient que je te donne ici un exemple de configuration xkb, mais à ma grande honte j'en suis encore à utiliser xmodmap, donc voici un exemple qui fonctionne, mais déprécié :


  ```
  $ cat ~/.xmodmap
  keycode  65 = U0020 U00A0 U2009 U202F
  $ xmodmap ~/.xmodmap
  ```

  Ce qui donnerait :
   * `<espace>` ⇒ espace mots ;
   * `<maj>+<espace>` ⇒ espace fine ;
   * `<alt-gr>+<espace>` ⇒ espace mots insécable ;
   * `<maj>+<alt-gr>+<espace>` ⇒ espace fine insécable.


  Pour une modification non-permanente le temps d'un test :


  ```
  $ xmodmap -e 'keycode  65 = U0020 U00A0 U2009 U202F'
  ```


  Avec le seul Xorg, tu peux mapper jusqu'à huit caractères par touche. Ça devrait suffire, même pour quand tu voudras taper des espaces idéographiques en japonais ;-)
name: Arkanosis
email: befca3beccb86b89c945c82a21e0166c
website: 'https://arkanosis.net/'
date: '2020-04-13T14:12:00.000Z'
